*
* printer tag file for the toshiba printer
*

	INCLUDE	"exec/types.i"
	INCLUDE	"exec/nodes.i"
	INCLUDE "exec/strings.i"
	INCLUDE "devices/prtbase.i"

	XREF _Init
	XREF _Expunge
	XREF _PrOpen		; called PrOpen and PrClose so as not to
	XREF _PrClose		; override the Dos Open and Close calls
	XREF _CommandTable
	XREF _DoSpecial
	XREF _Render

	XDEF _PEDData


VERSION		EQU 	$21
REVISION	EQU	$24


	section printer,code

	moveq	#0,d0			;in case anyone tries to run this
	rts

	dc.w	VERSION
	dc.w	REVISION

_PEDData:

	dc.l	printerName
	dc.l	_Init
	dc.l	_Expunge
	dc.l	_PrOpen
	dc.l	_PrClose
	dc.b	PPC_COLORGFX		; PrinterClass
	dc.b	PCC_YMCB		; ColorClass
	dc.b	80			; max columns
	dc.b	1			; num char sets
	dc.w	24			; num rows
	dc.l	180*8			; max x dots
	dc.l	0			; max y dots
	dc.w	180			; x dots/inch
	dc.w	180			; y dots/inch
	dc.l	_CommandTable
	dc.l	_DoSpecial
	dc.l	_Render
	dc.l	30
	dc.l	0

printerName:
	dc.b	'toshiba',0
