
/* toshiba p351c command data table */

char *CommandTable[] = {
	"\x1b\x1a\x49",		/* reset 		RIS 	*/
	"\x1b\x00",		/* initialize   		*/
	"\x0a",			/* line feed		IND	*/
	"\x0d\x0a",		/* CRLF			NEL	*/
	"\x0d\x1a",		/* reverse LF		RI	*/

	"\x1b\x14\x1bJ\x1bM",	/* normal attributes	SGR 0	*/
	"\x1b\x12",		/* italics on		SGR 3	*/
	"\x1b\x14",		/* italics off		SGR 23  */
	"\x1bI",		/* underline on 	SGR 4	*/
	"\x1bJ",		/* underline off	SGR 24	*/
	"\x1bK\x02",		/* boldface on		SGR 1	*/
	"\x1bM",		/* boldface off		SGR 22	*/
	"\xff",			/* set foreground colour 	*/
	"\xff",			/* set background colour 	*/

	"\x1b*0\x1b]\x1b\x22",	/* normal font 		SHORP	*/
	"\x1b*1",		/* elite on		SHORP	*/
	"\x1b*0",		/* elite off		SHORP	*/
	"\x1b[",		/* condensed on		SHORP	*/
	"\x1b]",		/* condensed off	SHORP	*/
	"\x1b!",		/* elongated on		SHORP	*/
	"\x1b\x22",		/* elongated off	SHORP	*/

	"\x1bQ",		/* shadow print on	DEN6	*/
	"\x1bM",		/* shadow print on	DEN5	*/
	"\x1bK\x02",		/* double strike on	DEN4	*/
	"\x1bM",		/* double strike off	DEN3	*/
	"\x1b*2",		/* NLQ on		DEN2	*/
	"\x1b*0",		/* NLQ off		DEN1	*/

	"\x1bD",		/* superscript on		*/
	"\x1bU",		/* superscript off		*/
	"\x1bU",		/* subscript off		*/
	"\x1bD",		/* subscript on			*/
	"\xff",			/* normalize			*/

	"\xff",			/* US Char Set			*/
	"\xff",			/* French Char Set		*/
	"\xff",			/* German Char Set		*/
	"\xff",			/* UK Char Set			*/
	"\xff",			/* Danish I Char Set		*/
	"\xff",			/* Swedish Char Set		*/
	"\xff",			/* Italian Char Set		*/
	"\xff",			/* Spanish Char Set		*/
	"\xff",			/* Japanese Char Set		*/
	"\xff",			/* Norweign Char Set		*/
	"\xff",			/* Danish II Char Set		*/

	"\x1b$",		/* Prop. Spacing on	PROP	*/
	"\x1b%",		/* Prop. Spacing off	PROP	*/
	"\xff",			/* Prop. Clear		PROP	*/
	"\xff",			/* Prop. Offset		TSS	*/
	"\xff",			/* Auto right justify	JFY5	*/	
	"\xff",			/* Auto left justify	JFY7	*/	
	"\xff",			/* Auto full justify	JFY6	*/	
	"\xff",			/* justify/centre off		*/	
	"\xff",			/* place holder		JFY3	*/	
	"\xff",			/* Auto Centre on	JFY2	*/	

	"\x1b\x1e\x06",		/* 1/8" line spacing	VERP	*/
	"\x1b\x1e\x08",		/* 1/6" line spacing	VERP	*/
	"\xff",			/* set form length	SLPP	*/
	"\xff",			/* skip perf on			*/
	"\xff",			/* skip perf off		*/

	"\x1b9",		/* left margin set 		*/
	"\x1b0",		/* right margin set		*/
	"\x1b+",		/* top margin set 		*/
	"\x1b-",		/* bottom margin set		*/
	"\xff",			/* T & B margin set	STBM	*/
	"\xff",			/* L & R margin set	SLRM	*/
	"\xff",			/* Clear margins		*/
	
	"\x1b1",		/* Set Horizontal Tab	HTS	*/
	"\xff",			/* Set Vertical tab	VTS	*/
	"\x1b8",		/* Clr Horizontal Tab	TBC 0	*/
	"\x1b2",		/* Clr All Horiz. Tabs	TBC 3	*/
	"\xff",			/* Clr Vertical Tab	TBC 1	*/
	"\xff",			/*. Clr All Vert. Tabs	TBC 4	*/
	"\x1b8",		/* Clr All V & H Tabs		*/
				/* Set Default Tabs		*/
	"\x1b(08,16,24,32,40,48,56,64,72.",
	"\xff",			/* Extended Command		*/
};
